div.stars {
    width: 100%;
    display: inline-flex;
    justify-content: center ;
    flex-direction: row-reverse;
    margin: 10px auto;
    overflow-y: hidden ;
}


input.star {display: none}



label.star {
    padding: 5px;
    font-size: 15px;
    line-height: 30px;
    color: #444;
    transition: all .2s;
}

@media (min-width: 640px){
    label.star{
    /* float: right; */ 
    padding: 10px;
    font-size: 40px;
    line-height: 30px;
    color: #444;
    transition: all .2s; 
    }

    }


input.star:checked ~ label.star:before {
content: '\f005';
color: #FD4;
transition: all .25s;
}   
input.star-10:checked ~ label.star:before {
color: #FE7;
text-shadow: 0 0 20px #952;
}
input.star-1:checked ~ label.star:before { color: #F62; }
label.star:hover { transform: rotate(-15deg) scale(1.3); }
label.star:before {
content: '\f006';
font-family: FontAwesome;
}